Package org.apache.synapse.commons.util

## Class TemporaryData

- java.lang.Object
- - org.apache.synapse.commons.util.TemporaryData

-     @Deprecated
      public class TemporaryData
      extends Object

  Deprecated.
  this class is deprecated and will be removed from the next release, please use the `OverflowBlob` from axiom instead
  Class representing some temporary data in the form of a byte stream.

  Data is stored by writing to the output stream obtained using `getOutputStream()`. It can then be read back using the input stream obtained from `getInputStream()`. The data is first stored into a fixed size buffer. Once this buffer overflows, it is transferred to a temporary file. The buffer is divided into a given number of fixed size chunks that are allocated on demand. Since a temporary file may be created it is mandatory to call `release()` to discard the temporary data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TemporaryData​(int numberOfChunks, int chunkSize, String tempPrefix, String tempSuffix)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finalize()` | Deprecated.
    `InputStream` | `getInputStream()` | Deprecated.
    `long` | `getLength()` | Deprecated.
    `OutputStream` | `getOutputStream()` | Deprecated.
    `void` | `readFrom​(InputStream in)` | Deprecated. Fill this object with data read from a given InputStream.
    `void` | `release()` | Deprecated.
    `void` | `writeTo​(OutputStream out)` | Deprecated. Write the data to a given output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporaryData

          public TemporaryData​(int numberOfChunks,
                               int chunkSize,
                               String tempPrefix,
                               String tempSuffix)

      Deprecated.

  - ### Method Detail

    - #### getOutputStream

          public OutputStream getOutputStream()

      Deprecated.

    - #### readFrom

          public void readFrom​(InputStream in)
                        throws IOException

      Deprecated.
      Fill this object with data read from a given InputStream.

      A call `tmp.readFrom(in)` has the same effect as the following code:

           OutputStream out = tmp.getOutputStream();
           IOUtils.copy(in, out);
           out.close();

      However it does so in a more efficient way.
      Parameters:
        `in` - An InputStream to read data from. This method will not close the stream.
      Throws:
        `IOException` - in case of an error in reading from `InputStream`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo​(OutputStream out)
                       throws IOException

      Deprecated.
      Write the data to a given output stream.
      Parameters:
        `out` - The output stream to write the data to. This method will not close the stream.
      Throws:
        `IOException` - in case of an error in writing to the `OutputStream`

    - #### getLength

          public long getLength()

      Deprecated.

    - #### release

          public void release()

      Deprecated.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Deprecated.
      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`